File opt-viewer-Do-not-require-python-2.patch of Package llvm7

From b0262add829563f2d5adb315efc8a0915140a1e2 Mon Sep 17 00:00:00 2001
From: Michal Srb <msrb@suse.com>
Date: Mon, 11 Dec 2017 13:12:24 +0100
Subject: [PATCH] opt-viewer: Do not require python 2.

---
 tools/opt-viewer/opt-diff.py   | 2 +-
 tools/opt-viewer/opt-stats.py  | 2 +-
 tools/opt-viewer/opt-viewer.py | 2 +-
 tools/opt-viewer/optrecord.py  | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/tools/opt-viewer/opt-diff.py b/tools/opt-viewer/opt-diff.py
index 6b20d82c7ee..bcb5b87cba0 100755
--- a/tools/opt-viewer/opt-diff.py
+++ b/tools/opt-viewer/opt-diff.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python2.7
+#!/usr/bin/python3
 
 from __future__ import print_function
 
diff --git a/tools/opt-viewer/opt-stats.py b/tools/opt-viewer/opt-stats.py
index 5c415df1bb6..23a74a6160c 100755
--- a/tools/opt-viewer/opt-stats.py
+++ b/tools/opt-viewer/opt-stats.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python2.7
+#!/usr/bin/python3
 
 from __future__ import print_function
 
diff --git a/tools/opt-viewer/opt-viewer.py b/tools/opt-viewer/opt-viewer.py
index 4c09ef86869..125d5dcd9ec 100755
--- a/tools/opt-viewer/opt-viewer.py
+++ b/tools/opt-viewer/opt-viewer.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python2.7
+#!/usr/bin/python3
 
 from __future__ import print_function
 
diff --git a/tools/opt-viewer/optrecord.py b/tools/opt-viewer/optrecord.py
index 2256b4dd243..28c7a55d0a1 100644
--- a/tools/opt-viewer/optrecord.py
+++ b/tools/opt-viewer/optrecord.py
@@ -1,4 +1,4 @@
-#!/usr/bin/env python2.7
+#!/usr/bin/python3
 
 from __future__ import print_function
 
-- 
2.13.6